# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KBookmarkMenuNSImporter Class Reference

A class connected to KNSBookmarkImporter, to fill KActionMenus. More...

`#include <kbookmarkmenu.h>`

Inheritance diagram for KBookmarkMenuNSImporter:

[legend]
Collaboration diagram for KBookmarkMenuNSImporter:

[legend]
List of all members.

## Public Member Functions

| KBookmarkMenuNSImporter (KBookmarkManager *mgr, KBookmarkMenu *menu, KActionCollection *act)
void | openNSBookmarks ()
void | openBookmarks (const QString &location, const QString &type)
void | connectToImporter (const QObject &importer)

## Protected Slots

void | newBookmark (const QString &text, const QCString &url, const QString &)
void | newFolder (const QString &text, bool, const QString &)
void | newSeparator ()
void | endFolder ()

## Protected Attributes

QPtrStack< KBookmarkMenu > | mstack
KBookmarkMenu * | m_menu
KActionCollection * | m_actionCollection
KBookmarkManager * | m_pManager

## Detailed Description

A class connected to KNSBookmarkImporter, to fill KActionMenus.

Definition at line 241 of file kbookmarkmenu.h.

The documentation for this class was generated from the following files:

- kbookmarkmenu.h
- kbookmarkmenu.cc

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:24:19 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003